Subject: bug#17693: This bug is not resolved.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Apr 2016 16:41:09 +0300

> From: Jordon Biondo <[email-masked]>
> Date: Wed, 8 Apr 2015 11:10:51 -0400
> 
> This can be resolved by setting `desktop-restore-in-current-display` to `t` prior to loading the desktop, but I don’t believe this should be required. Is there ever a reason someone would want a graphical frame to open from a instance of emacs started with -nw? I would imagine not.

As of today's emacs-25 branch, I cannot reproduce this bug: when I
start "emacs -nw" from a directory with a .emacs.desktop file that was
recorded by a GUI session, I get a single frame with all the buffers
saved in the desktop file.

Can anyone still reproduce the problem?  If so, please provide the
details, including the build and the OS where you see that.  Also,
please try forcing desktop-restore-frames to nil, and tell if doing
so eliminates the problem.

Thanks.